#game-container {padding: 20px; text-align: center}
#status-text { font-size: 2.5rem; font-weight: bold; height: 60px; color: #d97706; margin-bottom: 20px; }
#daisy-area { position: relative; width: 300px; height: 300px; margin: 0 auto 40px auto; }
#game-container .center {
	position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%);
	width: 60px; height: 60px; background-color: #fcd34d; border-radius: 50%; z-index: 10;
	box-shadow: inset 0 0 10px rgba(0,0,0,0.1);
}
#game-container .petal {
	position: absolute; top: 50%; left: 50%;
	width: 40px; height: 100px; background-color: white;
	border-radius: 50% 50% 50% 50%; border: 1px solid #ddd;
	transform-origin: center bottom; cursor: pointer;
	transition: transform 0.3s, opacity 0.3s;
}
#game-container .petal:hover { background-color: #fffbeb; }
#game-container .hidden { display: none; }

/* Tabel ja nupud */
#game-container .controls { margin-top: 20px; }
#game-container .summary-table { display: flex; justify-content: space-around; margin-top: 20px; border-top: 2px solid #ccc; padding-top: 20px; }
#game-container .column { width: 45%; }
#game-container .column h3 { border-bottom: 1px solid #ccc; }
#game-container ul { list-style: none; padding: 0; }
#game-container li { padding: 5px; border-bottom: 1px idotted #eee; }
#game-container #music-toggle {
	cursor: pointer;
	box-shadow: inset 0px 1px 0px rgba(255,255,255,1),0px 1px 3px rgba(0,0,0,0.3);
	outline: none;
	border: 1px solid #ba6;
	color: #fff;
	border-radius: 5px;
	padding: 10px 25px;
	border-color: #7c7c7c;
	background: silver;
}
#game-container #music-toggle:hover {
	filter: brightness(110%);
}
#setup-form button, input {
	width: 200px;
	padding: 10px;
}